.text-success { color: #C8102E !important; }
.hd-modal-content { position: relative; width: 90%; border-radius: 16px; max-width: 500px; background: white; padding: 40px; box-shadow: 0 10px 30px rgba(0,0,0,0.3); }
.hd-close-btn:hover { color: #333; }
.btn-success { background-color: #C8102E; border: 1px solid #C8102E; }
.copy-btn { margin-left: 15px; }
.hd-modal-overlay { z-index: 10000; width: 100%; left: 0; justify-content: center; align-items: center; display: none; background: rgba(0,0,0,0.8); position: fixed; top: 0; height: 100%; }
.coupon-code-box { padding: 15px; font-weight: bold; margin: 20px 0; font-size: 1.8rem; border-radius: 8px; border: 2px dashed #ff4757; color: #ff4757; display: flex; justify-content: center; background: #fff5f5; align-items: center; }
.btn-success:hover { border: 1px solid #C8102E; background-color: #fff; color: #C8102E; }
.hd-close-btn { color: #999; font-size: 28px; line-height: 1; top: 10px; right: 15px; position: absolute; cursor: pointer; }